LibreOffice LibreOffice 25.8 SDK API Reference

List of all members
FrameLoaderFactory Service Referencepublished

factory to create frame loader More...

`import"FrameLoaderFactory.idl";`

Inheritance diagram for FrameLoaderFactory:

## Additional Inherited Members
Exported Interfaces inherited from XLoaderFactory
interface | com::sun::star::lang::XMultiServiceFactory
| interface to create loader objects by using his internal name More...
interface | com::sun::star::container::XNameAccess
| provides access to the whole frame loader configuration More...
interface | com::sun::star::container::XContainerQuery
| supports query mode for configuration access More...
Public Member Functions inherited from XMultiServiceFactory
com::sun::star::uno::XInterface | createInstance ([in] string aServiceSpecifier) raises ( com::sun::star::uno::Exception )
| Creates an instance classified by the specified name. More...
com::sun::star::uno::XInterface | createInstanceWithArguments ([in] string ServiceSpecifier, [in] sequence< any > Arguments) raises ( com::sun::star::uno::Exception )
| Creates an instance classified by the specified name and passes the arguments to that instance. More...
sequence< string > | getAvailableServiceNames ()
| Provides the available names of the factory to be used to create instances. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XNameAccess
any | getByName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
sequence< string > | getElementNames ()
boolean | hasByName ([in] string aName)
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XContainerQuery
XEnumeration | createSubSetEnumerationByQuery ([in] string Query)
| creates a sub set of container items which match given query command More...
XEnumeration | createSubSetEnumerationByProperties ([in] sequence< com::sun::star::beans::NamedValue > Properties)
| creates a sub set of container items which supports searched properties as minimum More...

## Detailed Description

factory to create frame loader

With this factory it's possible to

- have access on configuration of set of registered frame loader objects
- create a frame loader by his internal name
- query for a frame loader by using special query or property description.

The documentation for this service was generated from the following file:

- com/sun/star/frame/FrameLoaderFactory.idl